Every deals endpoint in the WorkBOS API: parameters, request and response shape, and curl, Node and Python samples generated from the spec.
/deals| Name | In | Type | Required |
|---|---|---|---|
| limit | query | integer | No |
| offset | query | integer | No |
| Status | Description |
|---|---|
| 200 | OK |
| 401 | Missing/invalid API key |
curl -X GET "https://dkjdtyzjdkumnpdyezbs.supabase.co/functions/v1/api-v1/deals?limit=20&offset=20" \
-H "Authorization: Bearer YOUR_API_KEY"/deals| Field | Type |
|---|---|
| title | string |
| stage | string |
| value | number |
| company_id | string (uuid) |
| contact_id | string (uuid) |
| owner_id | string (uuid) |
| Status | Description |
|---|---|
| 201 | OK |
| 401 | Missing/invalid API key |
| 403 | Read-only key |
curl -X POST "https://dkjdtyzjdkumnpdyezbs.supabase.co/functions/v1/api-v1/deals" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"title":"string","stage":"string","value":0,"company_id":"00000000-0000-0000-0000-000000000000","contact_id":"00000000-0000-0000-0000-000000000000","owner_id":"00000000-0000-0000-0000-000000000000"}'/deals/{id}| Name | In | Type | Required |
|---|---|---|---|
| id | path | string | Yes |
| Status | Description |
|---|---|
| 200 | OK |
| 401 | Missing/invalid API key |
| 404 | Not found |
curl -X GET "https://dkjdtyzjdkumnpdyezbs.supabase.co/functions/v1/api-v1/deals/REPLACE_WITH_ID" \
-H "Authorization: Bearer YOUR_API_KEY"/deals/{id}| Name | In | Type | Required |
|---|---|---|---|
| id | path | string | Yes |
| Field | Type |
|---|---|
| title | string |
| stage | string |
| value | number |
| company_id | string (uuid) |
| contact_id | string (uuid) |
| owner_id | string (uuid) |
| Status | Description |
|---|---|
| 200 | OK |
| 401 | Missing/invalid API key |
| 403 | Read-only key |
| 404 | Not found |
curl -X PATCH "https://dkjdtyzjdkumnpdyezbs.supabase.co/functions/v1/api-v1/deals/REPLACE_WITH_ID" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"title":"string","stage":"string","value":0,"company_id":"00000000-0000-0000-0000-000000000000","contact_id":"00000000-0000-0000-0000-000000000000","owner_id":"00000000-0000-0000-0000-000000000000"}'/deals/{id}| Name | In | Type | Required |
|---|---|---|---|
| id | path | string | Yes |
| Status | Description |
|---|---|
| 200 | OK |
| 401 | Missing/invalid API key |
| 403 | Read-only key |
curl -X DELETE "https://dkjdtyzjdkumnpdyezbs.supabase.co/functions/v1/api-v1/deals/REPLACE_WITH_ID" \
-H "Authorization: Bearer YOUR_API_KEY"